<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_page.php
| Version: V1.02
| Author: Fangree Productions
| Developers: Fangree_Craig
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
// Security
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Boxover Javascript
echo "<script src='".INFUSIONS."news_page/includes/boxover.js' type='text/javascript'></script>\n";

// Locales
if (file_exists(INFUSIONS."news_page/locale/".$settings['locale'].".php")) {
include INFUSIONS."news_page/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."news_page/locale/English.php";
}

//Highslide Javascript Include for news Images.
echo"<script type=\"text/javascript\" src=\"".INFUSIONS."news_page/includes/highslide/highslide.js\"></script>
<link rel=\"stylesheet\" type=\"text/css\" href=\"".INFUSIONS."news_page/includes/highslide/highslide.css\" />";

// Number of news displayed
$items_per_page = $settings['newsperpage'];

// News Page Begins
opentable($locale['nma100']);
if (!isset($_GET['rowstart']) OR !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
$rows = dbcount("(news_id)", DB_NEWS, "news_id!=''");
$result = dbquery(
"SELECT tn.*, tc.*, user_id, user_name, user_status FROM ".DB_NEWS." tn
LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().") AND (news_end='0'||news_end>=".time().") AND news_draft='0' ORDER BY news_sticky DESC, news_datestamp DESC LIMIT ".$_GET['rowstart'].",$items_per_page"
);

if (dbrows($result)) {
$i = 0;
echo"<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";

echo"<td width='5%' class='tbl2' style='text-align:center;white-space:nowrap'></td>\n";
echo"<td width='5%' class='tbl2' style='text-align:center;white-space:nowrap'></td>\n";
echo"<td width='5%' class='tbl2' style='text-align:center;white-space:nowrap'><strong>".$locale['nma102']."</strong></td>\n";
echo"</tr>\n";

// Get the data
while($data = dbarray($result)) {

///If News Category Images
$news_cat_image = "";
$news_subject = $data['news_subject'];
if ($data['news_image_t1'] && $settings['news_image_readmore'] == "0") {
$img_size = @getimagesize(IMAGES_N.$data['news_image']);
$news_cat_image = "<center><a id=\"thumb1\" href='".BASEDIR."/".IMAGES_N.$data['news_image']."'class=\"highslide\" onclick=\"return hs.expand(this)\"><img src='".BASEDIR."/".IMAGES_N_T.$data['news_image_t2']."' alt='".$data['news_subject']."' border='0' /></a></center>";
} elseif ($data['news_cat_image']) {
$news_cat_image = "<center><a href='".BASEDIR."news_cats.php?cat_id=".$data['news_cat']."'><img src='".get_image("nc_".$data['news_cat_name'])."' alt='".$data['news_cat_name']."' border='0' /></a></center>";

//If None_Categorized News 
} else { $news_cat_image = "<center><img src='".INFUSIONS."news_page/images/default.gif'  class='news-category' alt='".$locale['new015']."' border='0' /></center>"; }

//Get Table row colours
$row_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
echo"<tr>\n<td class='".$row_color."' style='white-space:nowrap' align='center'>\n";
echo"".$news_cat_image."<td width='40%' class='".$row_color."'>";

//Get news Subject
$itemsubject = trimlink($data['news_subject'], 90);

// Get the news_news for the boxover
$itemsubject3 = trimlink(strip_tags(str_replace(array("[","]"),array("&#91;","&#93"),stripslashes($data['news_news'])), "<img><p><br>"), 400);

// Count the comments
$news_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");
// News title
echo "<strong><div style='float:left;vertical-align:middle;'><a href='".BASEDIR."news.php?readmore=".$data['news_id']."' class='side' title='header=[$itemsubject] body=[$itemsubject3]'>$itemsubject</a></strong></div>\n";

// News Date & Author
echo"<br /><span style='font-size:10px; vertical-align:middle;'>".$locale['nma101']." ".showdate("forumdate", $data['news_datestamp'])."\n";
echo"<br /><img src='".INFUSIONS."news_page/images/author.png' alt='".$locale['nma105']."' style='vertical-align:middle; border: 0;' /> ".$locale['nma103']." ".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</span>\n"; 

// Check to see if comments are enabled 
if ($data['news_allow_comments']) {

// If the comments are enabled get
echo" | <span style='vertical-align:middle;' class='small'><img src='".INFUSIONS."news_page/images/comment.png' alt='".$locale['global_073']."' style='vertical-align:middle; border: 0;' /> ".$locale['global_073'].": [<a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>$news_comments</a>]</span>";

// else get this
}else{
echo" | <span style='vertical-align:middle;' class='small'><img src='".INFUSIONS."news_page/images/comment.png' alt='".$locale['global_073']."' style='vertical-align:middle; border: 0;' /> ".$locale['global_073'].": [$news_comments]</span>";
}
echo "</td>\n";

//News Reads
echo "<td width='2%' class='".$row_color."' style='text-align:center;white-space:nowrap'>".$data['news_reads']."</td>\n";

echo "</tr>\n";
$i++;	
}

echo "</table>\n";

} 

// If No News do this
else {
echo "<div style='text-align:left'>".$locale['nma104']."</div>\n";
}
echo"<br />\n";

//PageNav
if ($rows > $items_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3)."\n</div>\n";

else {

echo "<div style='text-align:left'>".$locale['new007']."</div>\n";
}

echo"<br />\n";

// Total  news Categories, total news items , and searchbox
echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
echo "<td width='70%' class='tbl2' style='text-align:left;white-space:nowrap'>".$locale['new008'].dbcount("(news_id)", DB_NEWS)." :: ".$locale['new009'].dbcount("(news_cat_id)", DB_NEWS_CATS)."</td>\n";
echo "<td width='30%' class='tbl2' style='text-align:right;white-space:nowrap'><form name='searchform' method='get' action='".BASEDIR."search.php?stype=news'><input type='hidden' name='stype' value='news' /><input type='text' name='stext' class='textbox' value='".$locale['new014']."' onFocus='this.value=\"\"' style='width:130px' />&nbsp;<input type='submit' name='search' value='".$locale['new010']."' class='button' /></form></td></table>\n";

closetable();
require_once THEMES."templates/footer.php";
?>